<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:g="http://www.ihe.net/gazelle"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns="http://www.w3.org/1999/xhtml">
    <!-- param name="dcmMessage" value="The current message in the table" -->
    <g:column>
        <ui:define name="header">#{messages['gazelle.ordermanager.Type']}</ui:define>
        <s:span styleClass="gzl-icon-arrow-right-request" title="#{messages['gazelle.ordermanager.REQUEST']}"
                        rendered="#{dcmMessage.isRequest()}"/>
        <s:span styleClass="gzl-icon-arrow-left-response" title="#{messages['gazelle.ordermanager.RESPONSE']}"
                        rendered="#{not dcmMessage.isRequest()}"/>
    </g:column>
    <g:column sortBy="#{'timestamp'}" sortOrder="#{dataTableStateHolder.sortOrders['timestamp']}">
        <ui:define name="header">#{messages['gazelle.HL7Common.TimeStamp']}</ui:define>
        <g:date value="#{dcmMessage.timestamp}"/>
    </g:column>
    <g:column filterBy="#{'from'}" filterEvent="onkeyup"
              filterValue="#{dataTableStateHolder.columnFilterValues['from']}">
        <ui:define name="header">#{messages['gazelle.ordermanager.From']}</ui:define>
        <h:outputText value="#{dcmMessage.from}"/>
    </g:column>
    <g:column filterBy="#{'to'}" filterEvent="onkeyup">
        <ui:define name="header">#{messages['gazelle.ordermanager.To']}</ui:define>
        <h:outputText value="#{dcmMessage.to}"/>
    </g:column>
    <g:column sortBy="#{'connection.id'}">
        <ui:define name="header">#{messages['gazelle.ordermanager.ConnectionId']}</ui:define>
        <h:outputText value="#{dcmMessage.connection.id}"/>
    </g:column>
    <g:column filterBy="#{'commandField'}" filterEvent="onkeyup">
        <ui:define name="header">#{messages['gazelle.ordermanager.Command']}</ui:define>
        <h:outputText value="#{dcmMessage.commandField}"/>
    </g:column>
</ui:composition>
